#ifndef __MYU_WINDOWS_LIBRARY__MWLAGH__
#define __MYU_WINDOWS_LIBRARY__MWLAGH__

//#include "mwl.h"  <- Nooooooooo!!
#include  <windows.h>

//#define __MWLAGH_USE_FACTORY

#ifdef __MWLAGH_USE_FACTORY
	#define __MWLAGH_NOT_USE_SLIB
#endif

//#ifdef __MWLAGH_NOT_USE_SLIB
	#ifdef _DEBUG
		#pragma comment(lib, "mwlagh_d.lib")
	#else
		#pragma comment(lib, "mwlagh.lib")	
	#endif
//#endif

//using namespace mwlagh;

#ifdef __MWLAGH_USE_FACTORY
	#include "MwlAghFactory.h"

class CMwlAghRoot : public agh::CRootBase
{
private:
	typedef agh::CRootBase _BASE;
	CMwlAghFactory m_fact;
public:
	//	コンストラクタ・デストラクタ
	CMwlAghRoot(){}
	virtual ~CMwlAghRoot(){}
	
	//	コントロールの登録
	virtual void RegistSubControl(agh::CControlBase* pControl){
		_BASE::RegistSubControl(pControl);
		/*
		m_ctrlPtrAry.push_back(pControl);

		//	2009/04/05
		pControl->SetParentControl(this);
		pControl->OnRegist();
		//pControl->OnRegist(this);
		*/
	}

};

#else
	#include "MwlAghWindow.h" // <- Not: Nooooooooo!!
#endif


#endif//__MYU_WINDOWS_LIBRARY__MWLAGH__
